* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body, html {
    height: 100%;
    font-family: Arial, sans-serif;
}

#container {
    display: flex;
    height: 100%;
}

canvas {
    /*position:absolute;*/
}

#gribouille {
    position:relative;
}

#drawingCanvas{
    position: absolute;
    top:0;
    left:0;
    z-index: 99;
}

#fond{
    position:absolute;
    top:0;
    left:0;
}

#gribouille {
    /*flex-grow: 1;  /* tout l'espace restant */
    width : 100%;
    height : 100%;
    background: linear-gradient(45deg, rgba(220, 220, 220, 0.1), rgba(40, 100, 150, 0.4)), url('fond.svg');
    background-repeat: repeat;
    background-blend-mode: difference;
}

#helpButton, #drawButton,  #saveButton,  #openButton, #exportButton, #zoomInButton, #zoomOutButton {
    position: absolute;
    bottom: 10px;
    border-radius: 50%;
    background-color: #007BFF;
    color: white;
    border: none;
    cursor: pointer;
    yyyyfont-weight: bold;
    font-size: 16px;
    z-index:999;

}
#helpButton {
    left: 10px;
    width: 30px;
    height: 30px;
}

#drawButton {
    left: 50px;
    width: 30px;
    height: 30px;
}

#saveButton {
    left: 90px;
    width: 30px;
    height: 30px;
}

#openButton {
    left: 130px;
    width: 30px;
    height: 30px;
}

#exportButton {
    left: 170px;
    width: 30px;
    height: 30px;
}

#zoomInButton {
    left: 260px;
    width: 20px;
    height: 20px;
}

#zoomOutButton {
    left: 290px;
    width: 20px;
    height: 20px;
}

#zoom {
    z-index:999;
    position: absolute;
    bottom: 12px;
    left: 220px;
    width: 35px;             /* Largeur fixe */
    font-size: 11px;         /* Ajuste selon les besoins */
    text-align: center;      /* Centre horizontalement */


}

#toolWindow {
    position: absolute;
    width: 100px;
    height: 500px;
    top: 50px;
    right: 10px;
    background-color: white;
    border: 1px solid #ccc;
    box-shadow: 0px 4px 8px rgba(0,0,0,0.1);
    top: 10px;
    flex-direction: column;
    z-index:9999;
}

#toolHeader {
    background-color: #007BFF;
    color: white;
    height: 30px;
    display:flex;
    line-height: 30px;
    padding: 5px;
    align-items: center; 
    cursor: move;
}

#toolbar {
    width: 98px;  /* Largeur fixe de la toolbar */
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    background-color: #fff;
    align-items: center;
    padding: 5px;
    overflow-y: auto;  /* Barre de défilement si trop de contenu */
    user-select: none;
}

#toolbar img {
    height: auto;
    margin-bottom: 10px; /* Espace vertical entre les images */
}


#toolResizer {
    position: absolute;
    display: flex;
    width: 98px;
    height: 15px;
    bottom: 0;
    left: 0;
    right: 0;
    cursor: ns-resize;
    background-color: #ccc;
    background-image: url("img/resize_tool.png");

}


#helpWindow {
    position: absolute;
    width: 300px;
    height: 200px;
    background-color: white;
    border: 1px solid #ccc;
    display: none;
    box-shadow: 0px 4px 8px rgba(0,0,0,0.1);
    left: 10px;
    top: 10px;
    z-index:999;
}

#helpHeader {
    background-color: #007BFF;
    color: white;
    padding: 5px;
    cursor: move;
    user-select: none;
    display: flex;
    justify-content: space-between; /* Répartit le texte et le bouton aux extrémités */
    align-items: center;            /* Aligne verticalement le texte et le bouton si nécessaire */
    width: 100%;                    /* Largeur du conteneur */
}
#btnCloseHelp {
    width: 19px;
    height: 19px;
}

#helpText {
    font-family: monospace;
    width: 100%;
    height: calc(100% - 30px);
    border: none;
    resize: none;
}

#helpResizer {
    position: absolute;
    width: 15px;
    height: 15px;
    right: 0;
    bottom: 0;
    cursor: se-resize;
    background-color: #ccc;
    background-image: url("img/resize_help.png");

}

